Index: qcstring.cpp
===================================================================
RCS file: /cvsroot/doxygen/qtools/qcstring.cpp,v
retrieving revision 1.8
diff -u -r1.8 qcstring.cpp
--- qcstring.cpp	10 Sep 2006 20:46:22 -0000	1.8
+++ qcstring.cpp	20 Feb 2007 08:39:07 -0000
@@ -54,11 +54,15 @@
 
 QCString::QCString( const char *str, uint maxlen )
 { 
-  uint l;
+  uint l = 0;
   if (str && ( l = QMIN(qstrlen(str),maxlen) )) 
   { 
     m_data=(char *)malloc(l+1);
-    strncpy(m_data,str,maxlen);
+    strncpy(m_data,str, /*maxlen*/ l+1);
+      // The maxlen above ^^^^^^ breaks things seriously:
+      // The strncpy man page explains:
+      // "In the case where the length of src is less than that of n,
+      //  the remainder of  dest  will  be  padded with nulls."
     m_data[l]='\0';
   } 
   else
